Show / Hide Table of Contents

# Class BLMGauge

In-memory BLM job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<BlackMageGauge>
BLMGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class BLMGauge : JobGaugeBase<BlackMageGauge>

### Properties

| Improve this Doc View Source

#### AstralFireStacks

Gets the amount of Astral Fire stacks.

##### Declaration

    public byte AstralFireStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ElementTimeRemaining

Gets the time remaining for Astral Fire or Umbral Ice in milliseconds.

##### Declaration

    public short ElementTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### EnochianTimer

Gets the time remaining for the Enochian time in milliseconds.

##### Declaration

    public short EnochianTimer { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### InAstralFire

Gets a value indicating whether if the player is in Astral fire.

##### Declaration

    public bool InAstralFire { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### InUmbralIce

Gets a value indicating whether if the player is in Umbral Ice.

##### Declaration

    public bool InUmbralIce { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsEnochianActive

Gets a value indicating whether if Enochian is active.

##### Declaration

    public bool IsEnochianActive { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### PolyglotStacks

Gets the number of Polyglot stacks remaining.

##### Declaration

    public byte PolyglotStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UmbralHearts

Gets the number of Umbral Hearts remaining.

##### Declaration

    public byte UmbralHearts { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UmbralIceStacks

Gets the amount of Umbral Ice stacks.

##### Declaration

    public byte UmbralIceStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |